Browse Source

Удалены устаревшие eclass

pull/1/head
Alexander Tratsevskiy 8 months ago
parent
commit
78c2d7df6f
  1. 216
      eclass/calculate-kernel-7.eclass
  2. 45
      eclass/deadbeef-plugins.eclass
  3. 422
      eclass/mozconfig-v6.47.eclass

216
eclass/calculate-kernel-7.eclass

@ -1,216 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
#
# Original Author: © 2007-2009 Mir Calculate, Ltd.
# Purpose: Installing linux-desktop, linux-server.
# Build the kernel from source.
# @ECLASS: calculate-kernel-7.eclass
# @MAINTAINER:
# support@calculate.ru
# @AUTHOR:
# Author: Mir Calculate
# @BLURB: Functions for calculate-sources
# @DESCRIPTION:
# This eclass use for calculate-sources ebuild
inherit calculate eutils kernel-2
EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_install pkg_postinst
REQUIRED_USE="minimal? ( vmlinuz )"
CDEPEND="vmlinuz? ( || ( app-arch/xz-utils app-arch/lzma-utils )
grub? ( sys-boot/grub )
)
firmware? ( || ( sys-kernel/linux-firmware
sys-firmware/eth-firmware ) )"
DEPEND="${CDEPEND}
>=sys-devel/bison-1.875
>=sys-devel/flex-2.5.4
themes? ( || ( media-gfx/splash-themes-calculate
sys-boot/plymouth-calculate-plugin ) )
!minimal? ( virtual/pkgconfig )
"
RDEPEND="${CDEPEND} vmlinuz? ( sys-kernel/dracut )"
detect_version
detect_arch
IUSE="+vmlinuz desktop pae minimal themes firmware +grub"
if [[ ${KV_MAJOR} -lt 3 ]]
then
die "Eclass is used only for kernel-3"
fi
SLOT=${PV}
EXTRAVERSION="-${KERNELNAME:-calculate}"
KV_FULL="${PV}${EXTRAVERSION}"
S="${WORKDIR}/linux-${KV_FULL}"
calculate-kernel-7_pkg_setup() {
kernel-2_pkg_setup
eqawarn "!!! WARNING !!! WARNING !!! WARNING !!! WARNING !!!"
eqawarn "After the kernel assemble perform command to update modules:"
eqawarn " emerge @modules-rebuild"
}
calculate-kernel-7_src_unpack() {
kernel-2_src_unpack
cd ${S}
local GENTOOARCH="${ARCH}"
unset ARCH
emake defconfig || die "kernel configure failed"
ARCH="${GENTOOARCH}"
}
vmlinuz_clean_localversion() {
sed -ri 's/^(CONFIG_LOCALVERSION=")[^"]+"/\1"/' .config
sed -ri 's/^(CONFIG_LOCALVERSION_AUTO)=.*$/# \1 is not set/' .config
rm -f localversion*
}
vmlinuz_src_compile() {
# disable sandbox
local GENTOOARCH="${ARCH}"
unset ARCH
cd ${S}
vmlinuz_clean_localversion
emake olddefconfig || die "kernel configure failed"
emake && emake modules || die "kernel build failed"
[ -f .config ] && cp .config .config.save
ARCH="${GENTOOARCH}"
}
calculate-kernel-7_src_compile() {
use vmlinuz && vmlinuz_src_compile
}
vmlinuz_src_install() {
# dracut change this files in chroot of ramdisk
SANDBOX_WRITE="${SANDBOX_WRITE}:/run/blkid:/etc/ld.so.cache~:/etc/ld.so.cache:/etc/mtab"
cd ${S}
dodir /usr/share/${PN}/${PV}/boot
INSTALL_PATH=${D}/usr/share/${PN}/${PV}/boot emake install
INSTALL_MOD_PATH=${D} emake modules_install
/sbin/depmod -b ${D} ${KV_FULL}
/usr/bin/dracut --xz -a calculate $PLYMOUTH -a video -k ${D}/lib/modules/${KV_FULL} \
--kver ${KV_FULL} \
${D}/usr/share/${PN}/${PV}/boot/initramfs-${KV_FULL}
# move firmware to share, because /lib/firmware installation does collisions
mv ${D}/lib/firmware ${D}/usr/share/${PN}/${PV}
insinto /usr/share/${PN}/${PV}/boot/
newins .config config-${KV_FULL}
# recreate symlink in /lib/modules because symlink point to tmp/portage after make install
rm ${D}/lib/modules/${KV_FULL}/build
rm ${D}/lib/modules/${KV_FULL}/source
dosym /usr/src/linux-${KV_FULL} \
"/lib/modules/${KV_FULL}/source" ||
die "cannot install source symlink"
dosym /usr/src/linux-${KV_FULL} \
"/lib/modules/${KV_FULL}/build" ||
die "cannot install build symlink"
}
# FUNCTION: clean_for_minimal
# DESCRIPTION:
# Clear kernel sources, keeping only need for custom modules compilation
clean_for_minimal() {
local GENTOOARCH="${ARCH}"
unset ARCH
ARCH="${GENTOOARCH}"
mkdir backup
cp Module.symvers backup
emake distclean &>/dev/null || die "cannot perform distclean"
mv .config.save .config
ebegin "kernel: >> Running modules_prepare..."
emake modules_prepare &>/dev/null
eend $? "Failed modules prepare"
einfo "Cleaning sources"
for rmpath in $(ls arch | grep -v x86)
do
rm -r arch/$rmpath
done
mv backup/Module.symvers .
rmdir backup
KEEPLIST="scripts/Makefile.lib scripts/module-common.lds \
scripts/gcc-version.sh scripts/Makefile.help \
scripts/Makefile.modinst scripts/Makefile.asm-generic \
scripts/Makefile.modbuiltin scripts/Makefile.fwinst \
scripts/Makefile.modfinal \
scripts/Makefile.extrawarn scripts/Makefile.kasan \
scripts/depmod.sh scripts/Makefile.host \
scripts/Makefile.gcc-plugins \
Module.symvers \
scripts/Makefile.ubsan \
scripts/Makefile.kcov \
scripts/subarch.include \
scripts/Kbuild.include scripts/Makefile.modpost \
scripts/gcc-goto.sh scripts/Makefile.headersinst \
scripts/Makefile.build scripts/basic/fixdep \
scripts/Makefile.clean scripts/mod/modpost \
tools/objtool/objtool \
include/config/kernel.release include/config/auto.conf \
arch/x86/Makefile_32.cpu arch/x86/Makefile \
System.map Kconfig Makefile Kbuild"
find . -type f -a \! -wholename ./.config \
$(echo $KEEPLIST | sed -r 's/(\S+)(\s|$)/-a \! -wholename .\/\1 /g') \
-a \! -name "*.h" -delete
find . -type l -delete
rm -r drivers
rm -r Documentation
}
calculate-kernel-7_src_install() {
use vmlinuz && vmlinuz_src_install
use minimal && clean_for_minimal
kernel-2_src_install
if ! use vmlinuz
then
dodir /usr/share/${PN}/${PV}/boot
insinto /usr/share/${PN}/${PV}/boot
newins .config config-${KV_FULL}
fi
use vmlinuz && touch ${D}/usr/src/linux-${KV_FULL}/.calculate
}
vmlinuz_pkg_postinst() {
# install kernel into /boot
calculate_update_ver /boot vmlinuz ${KV_FULL} /usr/share/${PN}/${PV}/boot/vmlinuz-${KV_FULL}
calculate_update_ver /boot config ${KV_FULL} /usr/share/${PN}/${PV}/boot/config-${KV_FULL}
calculate_update_ver /boot initramfs ${KV_FULL} /usr/share/${PN}/${PV}/boot/initramfs-${KV_FULL} .img
calculate_update_ver /boot System.map ${KV_FULL} /usr/share/${PN}/${PV}/boot/System.map-${KV_FULL}
# install firmware into /
mkdir -p ${ROOT}/lib/firmware
cp -a ${ROOT}/usr/share/${PN}/${PV}/firmware/* ${ROOT}/lib/firmware/
calculate_update_depmod
calculate_update_modules
}
calculate-kernel-7_pkg_postinst() {
kernel-2_pkg_postinst
KV_OUT_DIR=${ROOT}/usr/src/linux-${KV_FULL}
use vmlinuz && cp -p /usr/share/${PN}/${PV}/boot/System.map* ${KV_OUT_DIR}/System.map
if ! use minimal
then
cd ${KV_OUT_DIR}
local GENTOOARCH="${ARCH}"
unset ARCH
ebegin "kernel: >> Running modules_prepare..."
(emake oldconfig && emake modules_prepare) &>/dev/null
eend $? "Failed modules prepare"
ARCH="${GENTOOARCH}"
fi
use vmlinuz && vmlinuz_pkg_postinst
use vmlinuz && calculate_fix_lib_modules_contents
}

45
eclass/deadbeef-plugins.eclass

@ -1,45 +0,0 @@
# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: deadbeef-plugins.eclass
# @MAINTAINER:
# Roman Kuzmitsky <damex.pp@gmail.com>
# @BLURB: Eclass for automating deadbeef player plugins installation.
# @DESCRIPTION:
# This eclass makes trivial deadbeef plugin ebuilds possible.
# Many things that would normally be done manually is automated.
if [[ "${EAPI}" -lt 6 ]] ; then
die "EAPI=${EAPI} is not supported"
fi
inherit eutils
: ${SLOT:=0}
RDEPEND+=" media-sound/deadbeef:0"
DEPEND+=" media-sound/deadbeef:0"
RESTRICT+=" mirror"
if [[ "${DEADBEEF_GUI}" == "yes" ]] ; then
IUSE+=" +gtk2 gtk3"
REQUIRED_USE="|| ( gtk2 gtk3 )"
GUI_DEPEND="gtk2? ( media-sound/deadbeef:0[gtk2] )
gtk3? ( media-sound/deadbeef:0[gtk3] )"
RDEPEND+=" ${GUI_DEPEND}"
DEPEND+=" ${GUI_DEPEND}"
fi
EXPORT_FUNCTIONS "src_install"
# @FUNCTION: deadbeef-plugins_src_install
# @DESCRIPTION:
# Looking for a *.so deadbeef plugins and installs found plugins to corresponding deadbeef directory.
deadbeef-plugins_src_install() {
local plugins="$(find "${WORKDIR}" -name "*.so" -type f)"
for plugin in ${plugins} ; do
insinto "/usr/$(get_libdir)/deadbeef"
doins "${plugin}"
done
}

422
eclass/mozconfig-v6.47.eclass

@ -1,422 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
#
# @ECLASS: mozconfig-v6.46.eclass
# @MAINTAINER:
# mozilla team <mozilla@gentoo.org>
# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v6
# @DESCRIPTION:
# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
# to provide a single common place for the common mozilla engine compoments.
#
# The eclass provides all common dependencies as well as common use flags.
#
# Some use flags which may be optional in particular mozilla packages can be
# supported through setting eclass variables.
#
# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v4,
# and so ebuilds inheriting this eclass do not need to inherit that.
case ${EAPI} in
0|1|2|3|4)
die "EAPI=${EAPI} not supported"
;;
5)
inherit multilib
;;
esac
inherit flag-o-matic toolchain-funcs mozcoreconf-v4
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
# @DESCRIPTION:
# Set this variable before the inherit line, when an ebuild needs to provide
# optional necko-wifi support via IUSE="wifi". Currently this would include
# ebuilds for firefox, and potentially seamonkey.
#
# Leave the variable UNSET if necko-wifi support should not be available.
# Set the variable to "enabled" if the use flag should be enabled by default.
# Set the variable to any value if the use flag should exist but not be default-enabled.
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
# @DESCRIPTION:
# Set this variable before the inherit line, when an ebuild needs to provide
# optional necko-wifi support via IUSE="jit". Currently this would include
# ebuilds for firefox, and potentially seamonkey.
#
# Leave the variable UNSET if optional jit support should not be available.
# Set the variable to "enabled" if the use flag should be enabled by default.
# Set the variable to any value if the use flag should exist but not be default-enabled.
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_GTK3
# @DESCRIPTION:
# Set this variable before the inherit line, when an ebuild can provide
# optional gtk3 support via IUSE="gtk3". Currently this would include
# ebuilds for firefox, but thunderbird and seamonkey could follow in the future.
#
# Leave the variable UNSET if gtk3 support should not be available.
# Set the variable to "enabled" if the use flag should be enabled by default.
# Set the variable to any value if the use flag should exist but not be default-enabled.
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_GTK2ONLY
# @DESCRIPTION:
# Set this variable before the inherit line, when an ebuild can provide
# optional gtk2-only support via IUSE="gtk2".
#
# Note that this option conflicts directly with MOZCONFIG_OPTIONAL_GTK3, both
# variables cannot be set at the same time and this variable will be ignored if
# MOZCONFIG_OPTIONAL_GTK3 is set.
#
# Leave the variable UNSET if gtk2-only support should not be available.
# Set the variable to "enabled" if the use flag should be enabled by default.
# Set the variable to any value if the use flag should exist but not be default-enabled.
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_QT5
# @DESCRIPTION:
# Set this variable before the inherit line, when an ebuild can provide
# optional qt5 support via IUSE="qt5". Currently this would include
# ebuilds for firefox, but thunderbird and seamonkey could follow in the future.
#
# Leave the variable UNSET if qt5 support should not be available.
# Set the variable to "enabled" if the use flag should be enabled by default.
# Set the variable to any value if the use flag should exist but not be default-enabled.
# use-flags common among all mozilla ebuilds
IUSE="${IUSE} dbus debug +jemalloc3 neon pulseaudio selinux startup-notification system-cairo
system-harfbuzz system-icu system-jpeg system-libevent system-sqlite system-libvpx"
# some notes on deps:
# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
RDEPEND=">=app-text/hunspell-1.2
dev-libs/atk
dev-libs/expat
>=x11-libs/cairo-1.10[X]
>=x11-libs/gtk+-2.18:2
x11-libs/gdk-pixbuf
>=x11-libs/pango-1.22.0
>=media-libs/libpng-1.6.21:0=[apng]
>=media-libs/mesa-10.2:*
media-libs/fontconfig
>=media-libs/freetype-2.4.10
kernel_linux? ( media-libs/alsa-lib )
pulseaudio? ( media-sound/pulseaudio )
virtual/freedesktop-icon-theme
dbus? ( >=sys-apps/dbus-0.60
>=dev-libs/dbus-glib-0.72 )
startup-notification? ( >=x11-libs/startup-notification-0.8 )
>=dev-libs/glib-2.26:2
>=sys-libs/zlib-1.2.3
>=virtual/libffi-3.0.10
virtual/ffmpeg
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXrender
x11-libs/libXt
system-cairo? ( >=x11-libs/cairo-1.12[X,xcb] >=x11-libs/pixman-0.19.2 )
system-icu? ( >=dev-libs/icu-51.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
system-libevent? ( =dev-libs/libevent-2.0*:0= )
system-sqlite? ( >=dev-db/sqlite-3.11.0:3[secure-delete,debug=] )
system-libvpx? ( >=media-libs/libvpx-1.5.0:0=[postproc] )
system-harfbuzz? ( >=media-libs/harfbuzz-1.2.2:0=[graphite,icu] >=media-gfx/graphite2-1.3.8 )
"
if [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]]; then
MOZCONFIG_OPTIONAL_GTK2ONLY=
if [[ ${MOZCONFIG_OPTIONAL_GTK3} = "enabled" ]]; then
IUSE+=" +gtk3"
else
IUSE+=" gtk3"
fi
RDEPEND+="
gtk3? ( >=x11-libs/gtk+-3.4.0:3 )"
elif [[ -n ${MOZCONFIG_OPTIONAL_GTK2ONLY} ]]; then
if [[ ${MOZCONFIG_OPTIONAL_GTK2ONLY} = "enabled" ]]; then
IUSE+=" +gtk2"
else
IUSE+=" gtk2"
fi
RDEPEND+="
!gtk2? ( >=x11-libs/gtk+-3.4.0:3 )"
fi
if [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]]; then
inherit qmake-utils
if [[ ${MOZCONFIG_OPTIONAL_QT5} = "enabled" ]]; then
IUSE+=" +qt5"
else
IUSE+=" qt5"
fi
RDEPEND+="
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtprintsupport:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
dev-qt/qtdeclarative:5
)"
fi
if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
IUSE+=" +wifi"
else
IUSE+=" wifi"
fi
RDEPEND+="
wifi? (
kernel_linux? ( >=sys-apps/dbus-0.60
>=dev-libs/dbus-glib-0.72
net-misc/networkmanager )
)"
fi
if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
if [[ ${MOZCONFIG_OPTIONAL_JIT} = "enabled" ]]; then
IUSE+=" +jit"
else
IUSE+=" jit"
fi
fi
DEPEND="app-arch/zip
app-arch/unzip
>=sys-devel/binutils-2.16.1
${RDEPEND}"
RDEPEND+="
selinux? ( sec-policy/selinux-mozilla )"
# force system-icu if system-harfbuzz is selected, to avoid potential ABI issues
REQUIRED_USE="
system-harfbuzz? ( system-icu )"
# only one of gtk3 or qt5 should be permitted to be selected, since only one will be used.
[[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]] && [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]] && \
REQUIRED_USE+=" ?? ( gtk3 qt5 )"
# only one of gtk2 or qt5 should be permitted to be selected, since only one will be used.
[[ -n ${MOZCONFIG_OPTIONAL_GTK2ONLY} ]] && [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]] && \
REQUIRED_USE+=" ?? ( gtk2 qt5 )"
# @FUNCTION: mozconfig_config
# @DESCRIPTION:
# Set common configure options for mozilla packages.
# Call this within src_configure() phase, after mozconfig_init
#
# Example:
#
# inherit mozconfig-v6.46
#
# src_configure() {
# mozconfig_init
# mozconfig_config
# # ... misc ebuild-unique settings via calls to
# # ... mozconfig_{annotate,use_with,use_enable}
# mozconfig_final
# }
mozconfig_config() {
# Migrated from mozcoreconf-v3
mozconfig_annotate 'more disable_update_strip' \
--disable-pedantic \
--disable-installer \
--disable-strip-libs
if [[ ${PN} != seamonkey ]]; then
mozconfig_annotate 'basic_profile' \
--disable-profilelocking \
--enable-single-profile \
--disable-profilesharing
fi
# Migrated from mozcoreconf-2
mozconfig_annotate 'system_libs' \
--with-system-zlib \
--enable-pango \
--enable-svg \
--with-system-bz2
if has bindist ${IUSE}; then
mozconfig_use_enable !bindist official-branding
if [[ ${PN} == firefox ]] && use bindist ; then
mozconfig_annotate '' --with-branding=browser/branding/aurora
fi
fi
mozconfig_use_enable debug
mozconfig_use_enable debug tests
if ! use debug ; then
mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
else
mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
fi
mozconfig_use_enable startup-notification
if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
# wifi pulls in dbus so manage both here
mozconfig_use_enable wifi necko-wifi
if use kernel_linux && use wifi && ! use dbus; then
echo "Enabling dbus support due to wifi request"
mozconfig_annotate 'dbus required by necko-wifi on linux' --enable-dbus
else
mozconfig_use_enable dbus
fi
else
mozconfig_use_enable dbus
mozconfig_annotate 'disabled' --disable-necko-wifi
fi
# These are forced-on for webm support
mozconfig_annotate 'required' --enable-ogg
mozconfig_annotate 'required' --enable-wave
if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
mozconfig_use_enable jit ion
fi
# These are enabled by default in all mozilla applications
mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include --x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
if use system-libevent; then
mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
fi
mozconfig_annotate '' --prefix="${EPREFIX}"/usr
mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
mozconfig_annotate 'Gentoo default' --enable-system-hunspell
mozconfig_annotate '' --disable-gnomeui
mozconfig_annotate '' --enable-gio
mozconfig_annotate '' --disable-crashreporter
mozconfig_annotate 'Gentoo default' --with-system-png
mozconfig_annotate '' --enable-system-ffi
mozconfig_annotate 'Gentoo default to honor system linker' --disable-gold
mozconfig_annotate 'Gentoo default' --disable-skia
mozconfig_annotate '' --disable-gconf
mozconfig_annotate '' --with-intl-api
# default toolkit is cairo-gtk2, optional use flags can change this
local toolkit="cairo-gtk2"
local toolkit_comment=""
if [[ -n ${MOZCONFIG_OPTIONAL_GTK3} ]]; then
if use gtk3; then
toolkit="cairo-gtk3"
toolkit_comment="gtk3 use flag"
fi
fi
if [[ -n ${MOZCONFIG_OPTIONAL_GTK2ONLY} ]]; then
if ! use gtk2 ; then
toolkit="cairo-gtk3"
else
toolkit_comment="gtk2 use flag"
fi
fi
if [[ -n ${MOZCONFIG_OPTIONAL_QT5} ]]; then
if use qt5; then
toolkit="cairo-qt"
toolkit_comment="qt5 use flag"
# need to specify these vars because the qt5 versions are not found otherwise,
# and setting --with-qtdir overrides the pkg-config include dirs
local i
for i in qmake moc rcc; do
echo "export HOST_${i^^}=\"$(qt5_get_bindir)/${i}\"" \
>> "${S}"/.mozconfig || die
done
echo 'unset QTDIR' >> "${S}"/.mozconfig || die
mozconfig_annotate '+qt5' --disable-gio
fi
fi
mozconfig_annotate "${toolkit_comment}" --enable-default-toolkit=${toolkit}
# Use jemalloc unless libc is not glibc >= 2.4
# at this time the minimum glibc in the tree is 2.9 so we should be safe.
if use elibc_glibc && use jemalloc3; then
# We must force-enable jemalloc 3 via .mozconfig
echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
mozconfig_annotate '' --enable-jemalloc
mozconfig_annotate '' --enable-replace-malloc
fi
# Instead of the standard --build= and --host=, mozilla uses --host instead
# of --build, and --target intstead of --host.
# Note, mozilla also has --build but it does not do what you think it does.
mozconfig_annotate '' --target="${CHOST}"
if [[ "${CBUILD:-${CHOST}}" != "${CHOST}" ]]; then
# set --host only when cross-compiling
mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
fi
mozconfig_use_enable pulseaudio
mozconfig_use_enable system-cairo
mozconfig_use_enable system-sqlite
mozconfig_use_with system-jpeg
mozconfig_use_with system-icu
mozconfig_use_with system-libvpx
mozconfig_use_with system-harfbuzz
mozconfig_use_with system-harfbuzz system-graphite2
# Modifications to better support ARM, bug 553364
if use neon ; then
mozconfig_annotate '' --with-fpu=neon
mozconfig_annotate '' --with-thumb=yes
mozconfig_annotate '' --with-thumb-interwork=no
fi
if [[ ${CHOST} == armv* ]] ; then
mozconfig_annotate '' --with-float-abi=hard
mozconfig_annotate '' --enable-skia
if ! use system-libvpx ; then
sed -i -e "s|softfp|hard|" \
"${S}"/media/libvpx/moz.build
fi
fi
}
# @FUNCTION: mozconfig_install_prefs
# @DESCRIPTION:
# Set preferences into the prefs.js file specified as a parameter to
# the function. This sets both some common prefs to all mozilla
# packages, and any prefs that may relate to the use flags administered
# by mozconfig_config().
#
# Call this within src_install() phase, after copying the template
# prefs file (if any) from ${FILESDIR}
#
# Example:
#
# inherit mozconfig-v6.46
#
# src_install() {
# cp "${FILESDIR}"/gentoo-default-prefs.js \
# "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
# || die
#
# mozconfig_install_prefs \
# "${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js"
#
# ...
# }
mozconfig_install_prefs() {
local prefs_file="${1}"
einfo "Adding prefs from mozconfig to ${prefs_file}"
# set dictionary path, to use system hunspell
echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
>>"${prefs_file}" || die
# force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
if use system-harfbuzz ; then
echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
>>"${prefs_file}" || die
fi
}
Loading…
Cancel
Save